package com.zg.project.Inventory.AutoInventory.mapper;

import com.zg.project.Inventory.domain.dto.MatchScanPageDTO;
import com.zg.project.Inventory.domain.entity.InventoryMatchScan;
import com.zg.project.Inventory.domain.entity.Sod;
import com.zg.project.Inventory.domain.vo.InventoryMatchScanSimpleVO;
import com.zg.project.Inventory.domain.vo.InventoryMatchScanVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryMatchScanMapper {

    int insertBatch(@Param("list") List<InventoryMatchScan> list);


    List<InventoryMatchScan> getAll();

    List<Sod> getAllSod();


    List<InventoryMatchScanSimpleVO> getGroupedHistoryList(@Param("dto") MatchScanPageDTO dto,
                                                           @Param("offset") int offset,
                                                           @Param("limit") int limit);

    int countGroupedHistory(@Param("dto") MatchScanPageDTO dto);

    List<InventoryMatchScanVO> getByTaskName(MatchScanPageDTO dto);

}
